> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical position snapshots

> Fetch position snapshots within a time range for a wallet address. Optionally interpolate using Birdeye price data.



## OpenAPI

````yaml /openapi/markets.json get /v0/positions/history
openapi: 3.1.1
info:
  title: Markets & Positions API (Beta)
  version: 0.0.1
servers:
  - url: https://markets.dial.to/api
security:
  - apiKey: []
paths:
  /v0/positions/history:
    get:
      tags:
        - Positions
      summary: Get historical position snapshots
      description: >-
        Fetch position snapshots within a time range for a wallet address.
        Optionally interpolate using Birdeye price data.
      operationId: markets-positions.positionsV0Api.positionsHistory
      parameters:
        - name: walletAddress
          in: query
          required: true
          schema:
            type: string
            description: Wallet address to fetch position history for
            default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
          allowEmptyValue: true
          allowReserved: true
        - name: startTime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            x-native-type: date
            description: Start time of the snapshot. Date or datetime in RFC 3339 format
            default: '2026-01-01T00:00:00Z'
          allowEmptyValue: true
          allowReserved: true
        - name: endTime
          in: query
          required: false
          schema:
            type: string
            format: date-time
            x-native-type: date
            description: >-
              End time of the snapshot. Date or datetime in RFC 3339 format.
              Defaults to current time if not provided
            default: '2026-01-31T23:59:59Z'
          allowEmptyValue: true
          allowReserved: true
        - name: positionIds
          in: query
          required: false
          schema:
            type: string
            description: Comma separated list of position IDs.
          allowEmptyValue: true
          allowReserved: true
        - name: resolution
          in: query
          required: false
          schema:
            enum:
              - 1m
              - 5m
              - 1h
              - 1d
            type: string
            description: Time resolution for aggregating snapshots
            default: 1h
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      positions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            providerId:
                              enum:
                                - kamino
                                - lulo
                                - marginfi
                                - jupiter
                                - defituna
                                - carrot
                                - dflow
                            type:
                              enum:
                                - lending
                                - yield
                                - loop
                                - reward
                                - prediction
                              type: string
                            marketId:
                              type: string
                            history:
                              type: array
                              items:
                                type: object
                                properties:
                                  timestamp:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  amount:
                                    type: number
                                  amountUsd:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                  amountTokenA:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                  amountTokenAUsd:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                  amountTokenB:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                  amountTokenBUsd:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                required:
                                  - timestamp
                                  - amount
                                  - amountUsd
                          required:
                            - id
                            - providerId
                            - type
                            - marketId
                            - history
                    required:
                      - positions
                required:
                  - data
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-dialect-client-key
      in: header
      description: Client key for the Markets API
      x-default: pk_demo

````